# Default values for geoserver.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

image:
  repository: docker.osgeo.org/geoserver
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

auth:
  username: admin
  # password: geoserver
  # use an existing secret if specified
  existingSecret: staging-geoserver
  passwordKey: geoserver-admin-password

cors:
  enabled: true

extension:
  install: false
  stableExtension: ""

demoData:
  skip: true

startup:
  failureThreshold: 10
  periodSeconds: 30

imagePullSecrets: []

nameOverride: ""
fullnameOverride: "geoserver"

persistence:
  size: 10Gi
  accessModes: ReadWriteOnce
  #existingClaim: someclaim

# the white list is needed for GUI working properly.
# the value for this should be the main URL for where geoserver get deployed.
# the values should be only url without http:// or https://, like "geoserver.example.com"
whitelist: "geoserver.beta.oceanbox.io"

# the following is for the geoserver java memory heap size control
envs:
  extraJavaOpts: "-Xms512m -Xmx2g"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext:
  fsGroup: 2000

securityContext:
  capabilities:
    drop:
    - ALL
  readOnlyRootFilesystem: false
  allowPrivilegeEscalation: true
  seccompProfile:
    type: RuntimeDefault
  runAsNonRoot: false
  runAsUser: 0

service:
  type: ClusterIP
  port: 8080

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-staging
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    oceanbox.io/expose: internal
  hosts:
    - host: geoserver.beta.oceanbox.io
  tls:
   - secretName: staging-geoserver-tls
     hosts:
       - geoserver.beta.oceanbox.io

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}

